# WPGPL Child

O `WPGPL Child` é um plugin para WordPress que estabelece uma conexão segura entre seu painel de controle WPGPL Vault e seus sites WordPress. Com este plugin, você pode gerenciar seus sites WordPress a partir de um local centralizado, facilitando o controle e a automação de tarefas administrativas.

## Funcionalidades

- Conexão segura com o painel de controle WPGPL Vault.
- Gerenciamento de plugins e temas remotamente.
- Atualizações automáticas de plugins e temas.
- Monitoramento e envio de informações do site para o painel de controle.
- Integração com ferramentas de backup.

## Requisitos

- PHP 7.4 ou superior.
- WordPress 5.0 ou superior.

## Instalação

1. Carregar o Plugin no WordPress:
    - Baixe o plugin e carregue-o na pasta `wp-content/plugins`.
    - Descompacte o arquivo `wpgpl-child.zip` no diretório de plugins do WordPress.

2. Ativação:
    - Vá para o painel de administração do WordPress.
    - Navegue até `Plugins` e ative o `WPGPL Child`.

3. Configuração:
    - Após ativar o plugin, configure as opções necessárias no painel de configuração do `WPGPL Vault`.

## Uso

### Conexão com o WPGPL Vault

- Após a instalação e ativação, configure a conexão com o WPGPL Vault fornecendo o IP autorizado e outras informações solicitadas na interface de configuração.

### Atualizações Automáticas

- O plugin permite habilitar ou desabilitar atualizações automáticas de plugins e temas diretamente pelo painel do WPGPL Vault.

### Gerenciamento de Plugins e Temas

- Você pode gerenciar plugins e temas instalados no site, incluindo a ativação, desativação e remoção de itens desatualizados.

## Hooks e Filtros Disponíveis

### Hooks de Ação

- `wpgpl_vault_automatic_updates`: Executa as atualizações automáticas de plugins e temas.
- `wpgpl_vault_check_updates`: Verifica se há atualizações disponíveis para plugins e temas instalados.

### Filtros

- `wpgpl_vault_plugin_action_links`: Adiciona links de ação no menu de plugins do WordPress.
- `wpgpl_vault_plugin_row_meta_unlimited`: Adiciona links na linha de meta de plugins para gerenciar a licença.

## Contribuindo

Contribuições são bem-vindas! Se você gostaria de contribuir com o desenvolvimento deste plugin, sinta-se à vontade para enviar pull requests ou abrir issues.

## Autor

- Ian Chamba

## Licença

Este plugin é licenciado sob a licença GPL. Para mais detalhes, consulte o arquivo `LICENSE`.

## Suporte

Se você encontrar problemas ou tiver dúvidas sobre o plugin, por favor, crie uma issue no repositório ou entre em contato com o suporte do WPGPL.

