<?php

namespace WPGPL\Child\Utils;

if (!defined('ABSPATH')) {
    exit;
}

class BackupUtils {
    
    /**
     * Verifica se algum plugin de backup está instalado
     *
     * @return bool True se algum plugin de backup estiver instalado, False caso contrário
     */
    public static function is_backup_installed() {
        // Lista de plugins relacionados a backup
        $backup_plugins = array(
            'all-in-one-wp-migration/all-in-one-wp-migration.php' => 'All in One WP Migration',
            'updraftplus/updraftplus.php' => 'UpdraftPlus',
            'duplicator-pro/duplicator-pro.php' => 'Duplicator Pro',
        );

        // Caminho para o diretório de plugins
        $plugins_dir = WP_PLUGIN_DIR;

        // Verifica se algum desses plugins está instalado
        foreach ($backup_plugins as $plugin_file => $plugin_name) {
            if (file_exists($plugins_dir . '/' . $plugin_file)) {
                return true; // Retorna true se algum plugin de backup estiver instalado
            }
        }

        return false; // Retorna false se nenhum plugin de backup estiver instalado
    }
}
