<?php

namespace WPGPL\Child\Utils;

if (!defined('ABSPATH')) {
    exit;
}

if (!class_exists('WP_Upgrader_Skin')) {
    require_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
}

class WPGPL_Upgrader_Skin extends \WP_Upgrader_Skin {

    // O método feedback é chamado para exibir mensagens de progresso
    public function feedback($string, ...$args) {
        // Ignora completamente o feedback e as mensagens de progresso
    }

    // Evita exibir o cabeçalho
    public function header() {
        // Não faz nada, evita o cabeçalho
    }

    // Evita exibir o rodapé
    public function footer() {
        // Não faz nada, evita o rodapé
    }

    // Exibe os erros no log se ocorrer algum problema
    public function error($errors) {
        if (is_wp_error($errors)) {
            // Log do erro
            error_log('Erro no upgrade: ' . $errors->get_error_message());
        } else {
            // Log de outros erros que não sejam WP_Error
            error_log('Erro no upgrade: ' . print_r($errors, true));
        }
    }

    // Métodos para operações em massa, se necessário
    public function bulk_header() {
        // Não faz nada, evita o cabeçalho
    }

    public function bulk_footer() {
        // Não faz nada, evita o rodapé
    }
}
