# WPGPL Vault

WPGPL Vault é um plugin para WordPress que facilita o gerenciamento de multisites, backup e atualizações automáticas de plugins e temas. Ele oferece uma interface intuitiva e recursos robustos para administradores de sites WordPress.

## Funcionalidades

- Gerenciamento de Multisites: Visualize e gerencie sites em uma instalação multisite de forma eficiente.
- Backup Automatizado: Suporte para integração com plugins de backup populares como UpdraftPlus, Duplicator, e All-in-One WP Migration.
- Atualizações Automáticas: Realiza atualizações automáticas de plugins e temas com base nas configurações definidas.
- Histórico de Ações: Registra todas as ações realizadas, como atualizações e alterações, em um histórico detalhado.
- Suporte a Licenças: Verifica a validade da licença e permite a ativação/desativação fácil do plugin.

## Requisitos

- WordPress 5.0 ou superior
- PHP 7.2 ou superior

## Instalação

1. Upload Manual:
   - Baixe o arquivo `.zip` do plugin.
   - No painel administrativo do WordPress, vá para `Plugins > Adicionar Novo` e clique em `Enviar Plugin`.
   - Selecione o arquivo `.zip` baixado e clique em `Instalar Agora`.
   - Após a instalação, clique em `Ativar`.

2. Instalação via FTP:
   - Extraia o arquivo `.zip` do plugin.
   - Faça o upload da pasta `wpgpl-vault` para o diretório `wp-content/plugins` no seu servidor.
   - No painel administrativo do WordPress, vá para `Plugins` e ative o `WPGPL Vault`.

## Utilização

1. Acesse o menu `WPGPL Vault` no painel administrativo do WordPress.
2. Configure as opções de backup, atualização automática e multisites de acordo com suas necessidades.
3. Visualize o histórico de ações para monitorar as atividades realizadas pelo plugin.

## Hooks e Filtros

- Hooks:
  - `wpgpl_vault_automatic_updates` - Executa as atualizações automáticas de plugins e temas.
  - `wpgpl_vault_check_license_cron_job` - Verifica a validade da licença diariamente.
  
- Filtros:
  - `wpgpl_vault_plugin_action_links` - Adiciona links de ação no painel de plugins.

## Contribuição

Contribuições são bem-vindas! Se você encontrou um problema ou tem uma sugestão, por favor, abra um issue ou envie um pull request no repositório oficial.

## Licença

Este plugin está licenciado sob a [GPL-3.0 License](LICENSE).

## Suporte

Se precisar de ajuda, envie um e-mail para contato@wpgpl.com.br.
