jQuery(document).ready(function($) {
        $('#add-site-form').on('submit', function(event) {
            event.preventDefault(); // Prevenir o comportamento padrão do formulário

            var domain = $('#domain').val();
            if (domain === '') {
                $('#form-message').text('Por favor, insira um domínio válido.');
                return;
            }

            // Limpar mensagem anterior
            $('#form-message').text('');

            // Enviar requisição AJAX
            $.ajax({
                url: ajaxurl, // URL do admin-ajax.php no WordPress
                type: 'POST',
                dataType: 'json',
                data: {
                    action: 'wpgpl_add_site',
                    domain: domain
                },
                success: function(response) {
                    if (response.success) {
                        $('#form-message').text('Site adicionado com sucesso!');
                        // Atualize a exibição dos sites (se necessário)
                        location.reload(); // Para atualizar a página e exibir o novo site
                    } else {
                        $('#form-message').text(response.data);
                    }
                },
                error: function(xhr, status, error) {
                    $('#form-message').text('Erro ao adicionar o site.');
                }
            });
        });
    });