jQuery(document).ready(function ($) {
    // Função para reverter o estado do checkbox e aplicar a classe CSS
    function revertCheckbox(checkbox, shouldBeChecked) {
        checkbox.prop("checked", shouldBeChecked);
        checkbox.next(".slider").toggleClass("ajax-success", shouldBeChecked);
    }

    // Função para alternar o estado de atualização automática e enviar solicitação AJAX
    function toggleAutoUpdate(checkbox, action, entity, enabled) {
        checkbox.prop("disabled", true); // Desabilitar o checkbox durante o processamento
        revertCheckbox(checkbox, !checkbox.is(":checked")); // Reverter visualmente o estado para o estado anterior até a resposta

        var data = {
            action: action,
            security: $("#wpgpl_vault_nonce_field").val(),
            status: enabled // Enviando 'status' para corresponder ao PHP
        };

        $.ajax({
            url: ajaxurl,
            type: "POST",
            data: data,
            success: function (response) {
                if (response.success) {
                    console.log(`Settings saved for ${entity}:`, checkbox.data(entity) || "");
                    revertCheckbox(checkbox, enabled); // Atualizar o estado do checkbox e o visual
                    location.reload(); // Recarregar a página após sucesso
                } else {
                    console.log(`Failed to save settings for ${entity}:`, checkbox.data(entity) || "");
                    revertCheckbox(checkbox, !enabled); // Reverter em caso de falha
                }
                checkbox.prop("disabled", false); // Reabilitar o checkbox após a resposta
            },
            error: function () {
                console.log(`Error in AJAX request for ${entity}:`, checkbox.data(entity) || "");
                revertCheckbox(checkbox, !enabled); // Reverter em caso de erro
                checkbox.prop("disabled", false); // Reabilitar o checkbox após o erro
            }
        });
    }

    // Inicializa o estado do checkbox ao carregar a página
    function initializeCheckboxState() {
        if ($("#automatic-update-switch").is(":checked")) {
            $("#automatic-update-switch").next(".slider").addClass("ajax-success");
        } else {
            $("#automatic-update-switch").next(".slider").removeClass("ajax-success");
        }
    }

    // Evento de mudança no checkbox
    $("#automatic-update-switch").on("change", function () {
        var checkbox = $(this);
        toggleAutoUpdate(checkbox, "wpgpl_update_automatic_update_status", "automatic_update", checkbox.is(":checked") ? 1 : 0);
    });

    // Chama a função para inicializar o estado
    initializeCheckboxState();
});
