jQuery(document).ready(function($) {
    $('.desconectar-site').on('click', function() {
        var current_site_url = $(this).data('domain');

        // Confirmação antes de prosseguir com a desconexão
        if (!confirm('Tem certeza de que deseja desconectar este site?')) {
            return;
        }

        $.ajax({
            url: ajaxurl, // URL AJAX fornecido pelo WordPress
            type: 'POST',
            dataType: 'json',
            data: {
                action: 'delete_authorized_ip', // Nome da ação AJAX registrada no PHP
                current_site_url: current_site_url
            },
            success: function(response) {
                if (response.success) {
                    alert(response.data.message);
                    location.reload(); // Recarrega a página após a desconexão
                } else {
                    alert(response.data.message);
                }
            },
            error: function() {
                alert('Erro ao desconectar o site.');
            }
        });
    });
});