jQuery(document).ready(function ($) {
    $("#wpgpl-vault-activate-button").on("click", function () {
        var licenseKey = $("#wpgpl-vault-license-key").val();
        if (!licenseKey) {
            alert("Por favor, insira uma chave de licença.");
            return;
        }
        $("#wpgpl-vault-activation-message").html("<p>Verificando licença...</p>");
        $.ajax({
            url: ajaxurl,
            type: "GET",
            data: { action: "wpgpl_vault_validate_license", license_key: licenseKey },
            success: function (response) {
                if (response.success) {
                    // Chamar a função para salvar a licença sem enviar a chave de licença
                    $.ajax({
                        url: ajaxurl,
                        type: "POST",
                        data: { action: "wpgpl_vault_save_license_key" },
                        success: function (response) {
                            if (response.success) {
                                $("#wpgpl-vault-activation-message").html("<p>Chave de licença salva com sucesso!</p>");
                                $("#wpgpl-vault-activation-form").hide();
                                var slug = response.data.slug;
                                window.location.href = "/wp-admin/admin.php?page=" + slug;
                            } else {
                                $("#wpgpl-vault-activation-message").html("<p>Erro ao salvar a chave de licença.</p>");
                            }
                        },
                        error: function () {
                            $("#wpgpl-vault-activation-message").html("<p>Erro na requisição para salvar a chave de licença.</p>");
                        },
                    });

                    $.ajax({
                        url: ajaxurl,
                        type: "POST",
                        data: { action: "wpgpl_vault_clear_license_notice" },
                        success: function (response) {
                            if (response.success) {
                                $(".wpgpl-vault-license-notice").remove();
                            }
                        },
                    });
                } else {
                    if (response.data && response.data.message && response.data.message.includes("IP não autorizado")) {
                        var ip = response.data.message.split(": ").pop();
                        $("#wpgpl-vault-activation-message").html(
                            "<p>IP não autorizado: <strong>" + ip + "</strong></p><p>Você precisa autorizar o IP: <strong>" + ip + '</strong> em "Minha conta" e acessar "Chave de Licença" para poder verificar a sua Chave de Licença.</p>'
                        );
                    } else {
                        $("#wpgpl-vault-activation-message").html("<p>Chave de licença inválida.</p>");
                    }
                }
            },
            error: function (xhr) {
                $("#wpgpl-vault-activation-message").html("<p>Erro na requisição para verificar a chave de licença.</p>");
            },
        });
    });

    $("#wpgpl-vault-deactivate-button").on("click", function () {
        var data = { action: "wpgpl_deactivate_license" };
        $.post(ajaxurl, data, function (response) {
            $("#wpgpl-vault-deactivation-message").html(response.message);
            if (response.success) {
                location.reload();
            }
        });
    });
});
