jQuery(document).ready(function ($) {
    $(".wpgpl-vault-support").on("click", function () {
        var button = $(this);
        var postTitle = button.data("real-name");
        var postVersion = button.data("version");
        var errorMessage = button.data("error");
        var data = { action: "wpgpl_vault_send_support_message", post_title: postTitle, post_version: postVersion, error_message: errorMessage };
        
        // Confirmação antes de enviar a mensagem de suporte
        if (confirm("Tem certeza de que deseja enviar uma mensagem de suporte para este item?")) {
            button.text("Enviando...");
            $.ajax({
                url: ajaxurl,
                method: "POST",
                data: data,
                success: function (response) {
                    if (response.success) {
                        button.text("Enviado").prop("disabled", true);
                        alert("O suporte recebeu a mensagem com sucesso.");
                    } else {
                        button.text("Erro ao enviar").prop("disabled", true);
                        alert("Erro ao enviar a mensagem. Por favor, entre em contato com o suporte por email ou WhatsApp.");
                    }
                },
                error: function (response) {
                    button.text("Erro ao enviar").prop("disabled", true);
                    alert("Erro ao enviar a mensagem. Por favor, entre em contato com o suporte por email ou WhatsApp.");
                },
            });
        } else {
            // Caso a pessoa clique em "Cancelar", nenhuma ação é tomada
            alert("Envio cancelado.");
        }
    });
});
