document.addEventListener('DOMContentLoaded', function() {
    // Obtenha o tempo restante do atributo data-time-remaining
    let cronJobTimerElement = document.getElementById('cron-job-timer');
    let timeRemaining = parseInt(cronJobTimerElement.getAttribute('data-time-remaining'));

    function updateCountdown() {
        if (timeRemaining > 0) {
            timeRemaining--;

            // Calcule horas, minutos e segundos
            const hours = Math.floor(timeRemaining / 3600);
            const minutes = Math.floor((timeRemaining % 3600) / 60);
            const seconds = timeRemaining % 60;

            // Crie o texto legível com "e" antes dos segundos
            let timeRemainingText = '';
            if (hours > 0) {
                timeRemainingText += hours + ' hora' + (hours > 1 ? 's' : '') + ', ';
            }
            if (minutes > 0 || hours > 0) {
                timeRemainingText += minutes + ' minuto' + (minutes > 1 ? 's' : '') + ' e ';
            }
            timeRemainingText += seconds + ' segundo' + (seconds > 1 ? 's' : '');

            // Atualize o texto no HTML
            cronJobTimerElement.textContent = timeRemainingText;
        } else {
            cronJobTimerElement.textContent = 'Erro: Não foi possível encontrar nenhum horário para a próxima atualização automática.';
            clearInterval(countdownInterval); // Pare a contagem regressiva
        }
    }

    // Atualize a contagem regressiva a cada segundo
    const countdownInterval = setInterval(updateCountdown, 1000);

    // Inicialize a contagem regressiva
    updateCountdown();
});
