<?php

if (!defined('ABSPATH')) {
    exit;
}

function wpgpl_vault_is_plugin_active($plugin_slug) {
    include_once(ABSPATH . 'wp-admin/includes/plugin.php');
    return is_plugin_active($plugin_slug);
}

function wpgpl_get_backups_active() {
    $active_backup_plugins = []; // Array para armazenar os nomes dos plugins ativos

    // Lista atualizada de plugins de backup para monitorar
    $backup_plugins = [
        'all-in-one-wp-migration/all-in-one-wp-migration.php' => 'All in One WP Migration',
        'updraftplus/updraftplus.php' => 'UpdraftPlus',
        'duplicator/duplicator.php' => 'Duplicator',
        'duplicator-pro/duplicator-pro.php' => 'Duplicator Pro'
    ];

    // Verificar quais plugins de backup estão ativos
    foreach ($backup_plugins as $slug => $name) {
        if (wpgpl_vault_is_plugin_active($slug)) {
            $active_backup_plugins[] = $name; // Salvar nome do plugin ativo
        }
    }

    // Salvar os plugins ativos no banco de dados
    wpgpl_vault_update_option('wpgpl_vault_active_backup_plugins', $active_backup_plugins);

    // Retornar os plugins ativos (opcional, dependendo do uso posterior)
    return $active_backup_plugins;
}
add_action('wp_loaded', 'wpgpl_get_backups_active');