<?php

if (!defined('ABSPATH')) {
    exit;
}

function wpgpl_vault_cleanup_history() {
    // Obtém o histórico atual do banco de dados
    $history_data = wpgpl_vault_get_option('wpgpl_vault_history', []);

    // Verifica se o histórico é um array e se tem mais de 300 entradas
    if (is_array($history_data) && count($history_data) > 300) {
        // Ordena o array pela data, do mais recente para o mais antigo
        usort($history_data, function($a, $b) {
            return strtotime($b['data']) - strtotime($a['data']);
        });

        // Mantém apenas as 100 entradas mais recentes
        $history_data = array_slice($history_data, 0, 300);

        // Atualiza o histórico no banco de dados com as 300 entradas mais recentes
        wpgpl_vault_update_option('wpgpl_vault_history', $history_data);

        // Adiciona uma entrada ao histórico para a limpeza realizada
        $action = 'Limpeza de Histórico';
        $content = 'O histórico foi limpo, mantendo apenas as 300 entradas mais recentes.';
        wpgpl_vault_add_to_history($action, $content);
    }
}
add_action('wpgpl_vault_daily_cleanup_event', 'wpgpl_vault_cleanup_history');