<?php

if (!defined('ABSPATH')) {
    exit;
}

function wpgpl_vault_add_to_history($action, $content, $date = null) {
    // Definir a data atual se não for fornecida
    if ($date === null) {
        $date = date('Y-m-d H:i:s'); // Data e hora atuais
    }

    // Recuperar o histórico existente
    $history_data = wpgpl_vault_get_option('wpgpl_vault_history', []);
    if (!is_array($history_data)) {
        $history_data = []; // Garantir que seja um array
    }

    // Criar nova entrada
    $new_entry = [
        'acao' => $action,
        'conteudo' => $content,
        'data' => $date,
    ];

    // Adicionar nova entrada ao início do array de histórico
    array_unshift($history_data, $new_entry);

    // Opcional: Limitar o tamanho do histórico para evitar crescimento indefinido
    $max_history_size = 1000; // Defina o tamanho máximo desejado
    if (count($history_data) > $max_history_size) {
        $history_data = array_slice($history_data, 0, $max_history_size);
    }

    // Salvar o histórico atualizado de volta ao banco de dados
    wpgpl_vault_update_option('wpgpl_vault_history', $history_data);
}