<?php

if (!defined('ABSPATH')) {
    exit;
}

function wpgpl_vault_admin_notice() {
    global $GLOBALS;

    $updated_items = wpgpl_vault_get_option('wpgpl_vault_updated_items', array());
    $plugin_icon_url = $GLOBALS['wpgpl_plugin_icon_url'];
    $plugin_name = $GLOBALS['wpgpl_plugin_name'];

    if (!empty($updated_items)) {
        ?>
        <div class="notice notice-success is-dismissible">
            <p>
                <img src="<?php echo esc_url($plugin_icon_url); ?>" alt="<?php echo esc_attr($plugin_name); ?> Logo" style="width:20px; height:auto; vertical-align:middle; margin-right:5px;">
                <strong>Atualizações <?php echo esc_html($plugin_name); ?>:</strong>
            </p>
            <ul>
                <?php
                foreach ($updated_items as $item) {
                    echo '<li>' . ($item['type'] == 'plugin' ? "Plugin " : "Tema ") . $item['name'] . ' atualizado com sucesso de versão ' . $item['old_version'] . ' para ' . $item['new_version'] . '.</li>';
                }
                ?>
            </ul>
        </div>
        <?php
    }
}
add_action('admin_notices', 'wpgpl_vault_admin_notice');

function wpgpl_vault_admin_notice_script() {
    ?>
    <script type="text/javascript">
        jQuery(document).ready(function($) {
            $(document).on('click', '.notice-dismiss', function() {
                $.ajax({
                    url: ajaxurl,
                    data: {
                        action: 'wpgpl_vault_clear_admin_notice'
                    }
                });
            });
        });
    </script>
    <?php
}
add_action('admin_footer', 'wpgpl_vault_admin_notice_script');