<?php

if (!defined('ABSPATH')) {
    exit;
}

function wpgpl_remove_auto_update_plugin($plugin) {
    $auto_update_plugins = wpgpl_vault_get_option('wpgpl_vault_auto_update_plugins', []);
    if (!is_array($auto_update_plugins)) {
        $auto_update_plugins = [];
    }
    if (($key = array_search($plugin, $auto_update_plugins)) !== false) {
        unset($auto_update_plugins[$key]);
        $auto_update_plugins = array_values($auto_update_plugins);
        wpgpl_vault_update_option('wpgpl_vault_auto_update_plugins', $auto_update_plugins);
    }
}
add_action('deleted_plugin', 'wpgpl_remove_auto_update_plugin');

function wpgpl_remove_auto_update_theme($theme) {
    $auto_update_themes = wpgpl_vault_get_option('wpgpl_vault_auto_update_themes', []);
    if (($key = array_search($theme, $auto_update_themes)) !== false) {
        unset($auto_update_themes[$key]);
        $auto_update_themes = array_values($auto_update_themes);
        wpgpl_vault_update_option('wpgpl_vault_auto_update_themes', $auto_update_themes);
    }
}
add_action('deleted_theme', 'wpgpl_remove_auto_update_theme');