<?php

if (!defined('ABSPATH')) {
    exit;
}

function wpgpl_vault_update_admin_notice() {
    global $GLOBALS;

    $remote_version = wpgpl_vault_get_option('wpgpl_vault_remote_version');
    $plugin_icon_url = $GLOBALS['wpgpl_plugin_icon_url'];
    $plugin_name = $GLOBALS['wpgpl_plugin_name'];

    if ($remote_version && defined('WPGPL_VERSION') && version_compare($remote_version, WPGPL_VERSION, '>')) {
        ?>
        <div class="notice notice-warning is-dismissible">
            <p>
                <img src="<?php echo esc_url($plugin_icon_url); ?>" alt="<?php echo esc_attr($plugin_name); ?> Logo" style="width:20px; height:auto; vertical-align:middle; margin-right:5px;">
                <?php printf(__('<b>%s:</b> O plugin está desatualizado. A versão atual é %s e a nova versão disponível é %s.', 'wpgpl-vault'), esc_html($plugin_name), esc_html(WPGPL_VERSION), esc_html($remote_version)); ?>
            </p>
        </div>
        <?php
    }
}
add_action('admin_notices', 'wpgpl_vault_update_admin_notice');

add_action('admin_init', function() {
    // Verifica se a REST API está realmente ativada
    $is_rest_enabled = apply_filters('rest_enabled', true);

    // Se a API REST estiver desativada, mostra o aviso
    if (!$is_rest_enabled) {
        add_action('admin_notices', 'wpgpl_rest_api_warning_notice');
    }
});

function wpgpl_rest_api_warning_notice() {
    $plugin_icon_url = $GLOBALS['wpgpl_plugin_icon_url'];
    $plugin_name = $GLOBALS['wpgpl_plugin_name'];
    
    ?>
    <div class="notice notice-warning is-dismissible">
        <p>
            <img src="<?php echo esc_url($plugin_icon_url); ?>" alt="<?php echo esc_attr($plugin_name); ?> Logo" style="width:20px; height:auto; vertical-align:middle; margin-right:5px;">
            <strong>Atenção:</strong> O plugin <strong>WPGPL Vault</strong> poderá apresentar instabilidades na comunicação com o <strong>WPGPL Child</strong> pois o REST API está desativado. Por favor, verifique as configurações do seu site.
        </p>
    </div>
    <?php
}